Skip to main content
POST
/
v5
/
auth
/
account
Create a Tight account
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/auth/account \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "userId": "fake_userId",
  "client_id": "fake_client_id",
  "client_secret": "fake_client_secret",
  "email": "jane@mycompany.com",
  "firstName": "Jane",
  "lastName": "Doe",
  "countryCode": "USA",
  "bizName": "Better Homes and Gardens",
  "phoneWork": "<string>",
  "address1": "<string>",
  "address2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zip": "<string>",
  "bizType": "REAL_ESTATE_AGENT",
  "entityType": "SOLE_PROPRIETORSHIP",
  "accountingMethod": "CASH",
  "language": "EN",
  "userRole": "OWNER",
  "availableFeatures": {
    "bankTransactions": true,
    "bills": true,
    "bookkeeping": true,
    "imports": true,
    "invoicing": true,
    "payroll": true,
    "reporting": true,
    "taxes": true,
    "timeTracking": true
  },
  "mcc": 5812,
  "naics": 722511,
  "federalTaxIdInfo": {
    "type": "EIN",
    "number": "123456789"
  },
  "bankInfo": {
    "routingNumber": "111000025",
    "accountNumber": "9876543210"
  }
}
'
{
  "result": "SUCCESS",
  "oAuth": {
    "access_token": "00f6b2b68eb9459eab681d19aa86c6154e225068f3074d1d9b639316d5380a4c.91d620872c3b438ba33f4baaca124624",
    "refresh_token": "7369c0ee82194721ac6f633ec16206f348680736e80e4aacb85d4fbce0ee9669.56b43c61141541dc858dd8613959389a",
    "expires_in": 7776000,
    "created_at": 1599065168,
    "scope": "token"
  },
  "error": {}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

PartnerNewUserAccount APIParam

userId
string
required

Id of the user in your DB

Example:

"fake_userId"

client_id
string
required

The client_id of the Tight Partner

Example:

"fake_client_id"

client_secret
string
required

The client_secret of the Tight Partner

Example:

"fake_client_secret"

email
string

Email address for the user

Example:

"jane@mycompany.com"

firstName
string

First name for the user

Example:

"Jane"

lastName
string

Last name for the user

Example:

"Doe"

countryCode
enum<string>

Country Code representing where the user is located

Available options:
USA,
CAN
Example:

"USA"

bizName
string

Business name for the user's primary line of work

Example:

"Better Homes and Gardens"

phoneWork
string

The user's phone number

address1
string

First line of the user's address

address2
string

Second line of the user's address

city
string

City of the user's address

state
string

State/Province of the user's address

zip
string

Zip/Postal code of the user's address

bizType
enum<string>

Business Type for the user

Available options:
DRIVER,
REAL_ESTATE_AGENT,
INSURANCE_AGENT,
FREELANCER,
HOST,
RETAIL,
E_COMMERCE,
SALES,
CONSULTANT,
OTHER
Example:

"REAL_ESTATE_AGENT"

entityType
enum<string>

Type of entity belonging to this user

Available options:
SOLE_PROPRIETORSHIP,
LLP,
LLC,
S_CORP,
C_CORP
accountingMethod
enum<string>

Accounting method used by the user

Available options:
CASH,
ACCRUAL
language
enum<string>

Language used by the user

Available options:
EN,
ES,
FR,
ZH,
ID
Example:

"EN"

userRole
enum<string>

User role of user

Available options:
OWNER,
READ_ONLY
Example:

"OWNER"

availableFeatures
object

Available features for the user

mcc
integer<int64>

Merchant Category Code (MCC) for the business

Example:

5812

naics
integer<int64>

North American Industry Classification System (NAICS) code for the business

Example:

722511

federalTaxIdInfo
object

Federal tax id info for the user

bankInfo
object

Bank info for the user

Response

200 - application/json

Successful operation

result
enum<string>
Available options:
SUCCESS,
INVALID_CREDENTIALS,
SUCCESS_TEMP_PASSWORD,
SUCCESS_PASSWORD_EXPIRED,
SUCCESS_HAS_NO_PASSWORD,
FAILURE,
SUCCESS_UPDATED,
INVALID_PLATFORM
Example:

"SUCCESS"

oAuth
object
error
object

Description of errors